device_type: "qemu"

job_name: "tuxrun@qemu-ppc32: boot"
priority: "medium"
visibility: "public"

context:
    arch: "ppc"
    machine: "ppce500"
    cpu: "e500mc"
    memory: "4G"
    extra_options: ["-no-reboot", ""]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 20
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/vda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/ppc32/uImage"
      rootfs:
        image_arg: "-drive file={rootfs},format=raw,if=virtio"
        url: "https://storage.tuxboot.com/buildroot/ppc32/rootfs.ext4.zst"
        compression: zstd
        format: ext4
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
